import axios from "axios";

export default {
  namespaced: true,
  state: {
    cartItems: [],
    deliveryFee: 0
  },
  mutations: {
    setDeliveryFee(state, fee) {
      state.deliveryFee = fee;
    }
  },
  getters: {},
  actions: {
    getDeliveryFee({ commit }, restaurantId) {
      axios
        .get(`/api/restaurant/GetDeliveryFee/${restaurantId}`)
        .then(restult => commit("setDeliveryFee", restult.data));
    }
  }
};
